<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


$pCore->pTheme->sPageTitle = "RCON control";
$pCore->pTheme->getThemeHeader();

?>

<p>
	<a href="<?php echo THEME_RELDIR ?>">&laquo; Back to server</a>
</p>

<p>
	<fieldset>
		<legend>RCON request</legend>
		
		<form method="POST" action="">
			<table>
				<tr>
					<td><strong>Request</strong></td>
					<td><input type="text" name="Request" value="<?php if(isset($_POST['Request'])) { echo $_POST['Request']; } ?>" /></td>
				</tr>
			</table>
			
			<input type="submit" name="Call" value="Execute RCON request" />
		</form>
	</fieldset>
</p>
			
<?php

if(isset($_POST['Request']))
{

	$pServer = getRemoteConnection();
	$aSettings = $pServer->getConfig();
	
	include $sCurrent."/SampRconAPI.php";
	
	$rcon = new SampRconAPI((defined("SERVER_IP") ? SERVER_IP : $_SERVER['SERVER_ADDR']), $aSettings['port'], $aSettings['rcon_password']);

	?>
	<fieldset>
		<legend>RCON response</legend>
		
		<pre><?php

	if($rcon->isOnline())
	{
		foreach($rcon->Call($_POST['Request']) as $sString)
		{
			echo $sString.PHP_EOL;
		}
	}
	else
	{
		echo '<div class="Alert">The server appears to be offline!</div>';
	}
	
	?>
		</pre>
	</fieldset>
	<?php
}

$pCore->pTheme->getThemeFooter();