<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


class WebsiteTheme
{
	public
		$pParent = null,
		$aAreaMenu = array(),
		$sPageTitle = "";
		
	
	public function __construct($pParent)
	{
		$this->pParent = $pParent;
	}
	
	
	public function getThemeHeader()
	{
		require WEBSITE_ROOT.'/Themes/'.CONTROL_THEME.'/Header.php';
	}
	
	
	public function getThemeFooter()
	{
		require WEBSITE_ROOT.'/Themes/'.CONTROL_THEME.'/Footer.php';
	}
}