<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


if(!isset($_GET['URL']))
{
	$_GET['URL'] = "/";
}

if(!isset($_SESSION[SESSION_TAG.'_AP_AUTHREQ_LEVEL']))
{
	$_SESSION[SESSION_TAG.'_AP_AUTHREQ_LEVEL'] = ACL_CONTROL_CUSER;
}


$pCore->pTheme->sPageTitle = "Login page for ".urldecode($_GET['URL']);
$pCore->pTheme->getThemeHeader();


if(isset($_POST['Authenticate']))
{
	$iOutcome = $pCore->pAccount->verifyAccount($_POST['Username'], $_POST['Password']);
	
	if(!$iOutcome)
	{
		$pCore->pAccount->getAccountSession($_POST['Username']);
		outlog('Login', "{$_POST['Username']} logged in.");
		
		?>
		
		<div class="Success">You have been successfully logged in, now wait for the redirect!</div>
		
		<script type="text/javascript">
			setTimeout(function() { window.location = "?<?php echo urldecode($_GET['URL']) ?>"; }, 1500);
		</script>
		
		<?php
		
		$pCore->pTheme->getThemeFooter();
		exit;
	}
	else
	{
		echo '<div class="Alert">';
		
		if($iOutcome == 1 || $iOutcome == 2)
		{
			echo "Sorry, but your username either doesn't exist, or you used the wrong credentials. Please try again.";
		}
		elseif($iOutcome == 3)
		{
			echo "Sorry, but you have no right accessing this area.";
		}
		else
		{
			echo "An unknown error has occured.";
		}
		
		echo '</div>';
	}
}
else
{
	echo "<p>Please authenticate to access this area. Usernames and passwords are both case sensitive.</p>";
}

?>

<form method="POST" action="">
	<input type="hidden" name="Authenticate" value="Authenticate" />
	<input type="hidden" name="URL" value="<?php echo $_GET['URL'] ?>" />

	<table class="Border">
		<tr>
			<th width="80">Username</th>
			<td><input type="text" name="Username" size="32" /></td>
		</tr>
	
		<tr>
			<th>Password</th>
			<td><input type="password" name="Password" size="32" /></td>
		</tr>
		
		<tr>
			<td></td>
			<td><br /><input type="submit" name="Submit" value="Logon" /><input type="reset" name="Reset" value="Reset fields" /></td>
		</tr>
	</table>
</form>

<?php

$pCore->pTheme->getThemeFooter();