<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


$pCore->pAccount->requireLogin();
$pCore->pTheme->sPageTitle = "Overview of your server";
$sCurrent = dirname(__FILE__);


foreach(glob($sCurrent.'/CustomModules/*') as $sGlob)
{
	$sTitle = str_replace("-", ' ', basename($sGlob));
	$pCore->pTheme->aAreaMenu[$sTitle] = '/Servers/'.basename($sGlob).'/';
}


if($_SEO[2])
{
	$sModule = $sCurrent.'/CustomModules/'.$_SEO[2].'/Default.php';
	
	if(file_exists($sModule))
	{
		$sCurrent .= '/CustomModules/'.$_SEO[2].'/';
		
		include $sModule;
		return;
	}
}


$pCore->pTheme->getThemeHeader();


/* And now the stuff. */
if(isset($_POST['Control']))
{
	include "ServerControl.php";
}


include 'ServerDisplay.php';


$pCore->pTheme->getThemeFooter();
