<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


$pServer = getRemoteConnection();

$aStd = array();
$sControlNotification = "";


if(isset($_POST['Start']))
{
	if($pServer->startServer())
	{
		$sControlNotification .= '<div class="Success">The server has been started.</div>';
	}
	else
	{
		$sControlNotification .= '<div class="Alert">It seems that this server is already online.</div>';
	}
}
elseif(isset($_POST['Stop']))
{
	$pServer->stopServer();
	
	$sControlNotification .= '<div class="Success">The server has been stopped.</div>';
}
elseif(isset($_POST['Restart']))
{
	$pServer->restartServer();
	
	$sControlNotification .= '<div class="Success">The server has been restarted.</div>';
}