<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


$pServer = getRemoteConnection();
$aSettings = $pServer->getConfig();

?>

<p>
	Here you can control your server.
</p>

<p>
	<strong>Server IP:</strong> <?php echo defined("SERVER_IP") ? SERVER_IP : $_SERVER['SERVER_ADDR'] ?>:<?php echo $aSettings['port'] ?><br />
	<strong>Platform:</strong> San Andreas Multiplayer
	
	<br />
	<br />
</p>

<p>
	<fieldset>
		<legend>Server Control</legend>
		
		<?php
			$aDisabled = array(0 => "", 1 => "", 2 => "");
			
			if(isset($sControlNotification))
			{
				echo $sControlNotification;
			}
			
			if(!$pServer->isStarted())
			{
				$aDisabled[1] = 'disabled="disabled" ';
				$aDisabled[2] = 'disabled="disabled" ';
			}
			else
			{
				$aDisabled[0] = 'disabled="disabled" ';
			}
		?>
		
		<form method="POST" action="">
			<input type="hidden" name="Control" value="Server" />
			
			<input type="submit" name="Start" value="Start the server" <?php echo $aDisabled[0] ?>/>
			<input type="submit" name="Stop" value="Stop the server" <?php echo $aDisabled[1] ?>/>
			<input type="submit" name="Restart" value="Restart the server" <?php echo $aDisabled[2] ?>/>
		</form>
	</fieldset>
</p>