<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.1
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


/* Start session here */
session_start();


/* Start associating the classes! */
$pCore = new stdClass();

$pCore->pAccount = new Account($pCore);
$pCore->pTheme = new WebsiteTheme($pCore);


/* A little file, just to not need to make any new files. */
function getRemoteConnection()
{
	if(defined("WINDOWS"))
	{
		return new COM_Windows();
	}
	
	return new SSH2_Linux();
}