<?php
/**
 *	All files within this package were created by David Weston,
 *	as part as the free version of antctrl.
 *
 *	This package is limited to San Andreas Multiplayer only,
 *	but it is possible to change it for other games. Feel free!
 *
 *	@package antctrl-free
 *	@version 1.2
 *	@author David Weston <westie@typefish.co.uk>
 *	@copyright 2011; http://www.typefish.co.uk/licences/
 */


class Account
{
	public
		$pParent = null;
	
	
	public function __construct($pParent)
	{
		$this->pParent = $pParent;
	}
	
	
	public function isLoggedIn()
	{
		return isset($_SESSION[SESSION_TAG.'_AP_USER']);
	}
	
	
	public function requireLogin()
	{
		global $_SEO;
		
		if(isset($_SESSION[SESSION_TAG.'_AP_USER']))
		{
			return;
		}
		
		$_SESSION[SESSION_TAG.'_AP_AUTHREQ_LEVEL'] = $iAccessLevel;
		header('Location: ?/Login/&URL='.urlencode($_SEO[0]));

		exit;
	}
	
	
	public function verifyAccount($sUsername, $sPassword)
	{
		unset($_SESSION[SESSION_TAG.'_AP_USER']);
		
		if($sUsername !== USERNAME)
		{
			return 1;
		}
		
		if($sPassword !== PASSWORD)
		{
			return 2;
		}
		
		unset($_SESSION[SESSION_TAG.'_AP_AUTHREQ_LEVEL']);
		return 0;
	}
	
	
	public function getAccountSession($sUsername)
	{		
		$_SESSION[SESSION_TAG.'_AP_USER'] = true;
	}

	
	public function logoutAccount()
	{
		unset($_SESSION[SESSION_TAG.'_AP_USER']);
	}
}